Bug 870224 - RFE: have abrt replace sealert
Summary: RFE: have abrt replace sealert
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: abrt
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Jakub Filak
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: 870313
TreeView+ depends on / blocked
 
Reported: 2012-10-25 20:27 UTC by Cole Robinson
Modified: 2020-09-08 14:06 UTC (History)
9 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
: 870313 (view as bug list)
Environment:
Last Closed: 2020-09-08 14:06:55 UTC
Type: Bug


Attachments (Terms of Use)

Description Cole Robinson 2012-10-25 20:27:20 UTC
sealert gets the job done, but it's crufty and fugly. all it really does is slap some UI over the setroubleshoot output AFAICT, so probably straightforward for an abrt addon to just supply the sealert dbus interface and go from there.

Comment 1 Jiri Moskovcak 2012-10-26 06:45:26 UTC
We're planning to do it for F19

Comment 2 Miroslav Grepl 2012-11-09 09:25:35 UTC
Hi folks, I have some problems with ABRT gui. Basically I am not able to get setroubleshoot crashes to this GUI. Actually I am able to get them but I need to check "All problems" but then I need to re-create a problem. Then I see them. Is this expected?

Also the gui does not work for me with the latest ABRT :(.

Comment 3 Jakub Filak 2012-11-09 13:18:28 UTC
(In reply to comment #2)
> Hi folks, I have some problems with ABRT gui. Basically I am not able to get
> setroubleshoot crashes to this GUI. Actually I am able to get them but I
> need to check "All problems" but then I need to re-create a problem. Then I
> see them. Is this expected?

Yes, it is expected. If you don't provide the UID value then a crash is considered as root's crash. If you want to see setroubleshoot crashes in ABRT GUI as a particular user different than root neither you have to send user's UID along with setroubleshoot crash data or you have to check the "All problems" checkbox in the GUI.

Comment 4 Cole Robinson 2013-11-20 14:30:42 UTC
Just wondering if there's an update on plans here? Obviously this didn't hit F19 and doesn't look like F20 either. I'm just curious.

Not sure if this is the plan, but seems to me that setroubleshoot can just go away entirely and be handled by abrt. AFAICT it's just: watch audit.log, slap some user friendly info on AVCs, report to user. The only interesting bit is that user friendly annotation.

Comment 6 Cole Robinson 2015-04-28 21:59:02 UTC
Any current status on this?

I see this wiki page: https://fedoraproject.org/wiki/QA:Testcase_ABRT_SELinux

But the steps don't seem to work for me at least after I uninstall setroubleshoot RPM

sealert is still installed by default for most desktop enviroments, and is still quite ugly and awkward, especially compared to latest abrt UI.

Comment 8 Michael Catanzaro 2016-11-30 16:59:00 UTC
(In reply to Cole Robinson from comment #6)
> Any current status on this?
> 
> I see this wiki page: https://fedoraproject.org/wiki/QA:Testcase_ABRT_SELinux
> 
> But the steps don't seem to work for me at least after I uninstall
> setroubleshoot RPM
> 
> sealert is still installed by default for most desktop enviroments, and is
> still quite ugly and awkward, especially compared to latest abrt UI.

FWIW we are very much hoping to get rid of sealert from Workstation and would love for ABRT to grow this functionality.

Comment 9 Michael Catanzaro 2019-01-17 22:20:58 UTC
sealert was removed about a year ago. We no longer have any means of reporting selinux violations in Workstation.

Comment 10 Christian Stadelmann 2019-01-17 22:37:09 UTC
(In reply to Michael Catanzaro from comment #9)
> sealert was removed about a year ago. We no longer have any means of
> reporting selinux violations in Workstation.

/usr/bin/sealert is part of the setroubleshoot-server package and is installed on my system (which is not a fresh F29/F28 system but has seen a few dist-upgrades). We also still do have seapplet, which is part of setoubleshoot.

Comment 11 Michael Catanzaro 2019-01-17 23:33:50 UTC
We removed it for F28, so you wouldn't notice if you upgraded from F27 or earlier.

https://pagure.io/fedora-workstation/issue/24

Comment 12 Christian Stadelmann 2019-01-18 19:25:26 UTC
(In reply to Michael Catanzaro from comment #11)
> We removed it for F28, so you wouldn't notice if you upgraded from F27 or
> earlier.
> 
> https://pagure.io/fedora-workstation/issue/24

I think I misunderstood your comment #9. sealert has been removed from the standard desktop image but not from the repos.

Comment 13 Miroslav Suchý 2020-09-08 14:06:55 UTC
Honestly, nothing happened in past 8 years. It is just setting the expectations. I do not think we will do anything about this in next 8 years. Prior this work we will have to redesign gnome-abrt UI and just that is a lot of work.


Note You need to log in before you can comment on or make changes to this bug.